/* Dialog.h -- This file contains defines for dialog buttons.  */

/* Define dialog buttons. */
#define DIALOG_Exit_OK       101
#define DIALOG_Exit_Cancel   102
#define DIALOG_Exit_Help     103

/* The Cancel and Help buttons are defined here for completeness.
   In this example, the Cancel button doesn't need any additional
   behavior because the Exit Dialog unmaps itself whenever any
   button is chosen.  Since there is no online help available (yet),
   the Help button is not used. 

   If you add your own dialogs, add similar button definitions. */

