/*
 *  File:  lab00a.c
 */

#include <Xm/PushB.h>
#include <Xm/BulletinB.h>

/***********************************************************************
 ***                             MAIN                                ***
 ***********************************************************************/
void main(argc, argv)
  unsigned int argc;
  char **argv;
{
   Widget toplevel, bboard, pbutton, pbutton1;
   Arg args[10];
   int n;
   char *text1 = "Push Me 1";
   char *text2 = "Push Me 2";
   XmString label_text;
   XtAppContext app_context;
     
/*
 * Initialize the toplevel shell widget
 */
   toplevel = XtAppInitialize(&app_context, "Lab00a", NULL, 0, &argc,
                              argv, NULL, args, 0);
  
/*
 * Create the bulletin board Widget
 */

 n = 0;
 bboard = XmCreateBulletinBoard (toplevel, "bboard", args, n);
 XtManageChild(bboard);

/*
 * Create compound string for the first button label
 */
   label_text = XmStringCreateLtoR(text1, XmFONTLIST_DEFAULT_TAG);
   
/*
 * Create the first pushbutton.
 */
   n = 0;
   XtSetArg(args[n], XmNx, 50); n++;
   XtSetArg(args[n], XmNy, 33); n++;
   XtSetArg(args[n], XmNwidth, 100); n++;
   XtSetArg(args[n], XmNheight, 50); n++;
   XtSetArg(args[n], XmNborderWidth, 5); n++;
   XtSetArg(args[n], XmNlabelString, label_text); n++;
   pbutton = XmCreatePushButton(bboard, "pbutton", args, n);
   XtManageChild(pbutton);
   XmStringFree (label_text);

/*
 * Create compound string for the first button label
 */
   label_text = XmStringCreateLtoR(text2, XmFONTLIST_DEFAULT_TAG);

/*
 * Create the second pushbutton.
 */
   n = 0;
   XtSetArg(args[n], XmNx, 50); n++;
   XtSetArg(args[n], XmNy, 116); n++;
   XtSetArg(args[n], XmNwidth, 100); n++;
   XtSetArg(args[n], XmNheight, 50); n++;
   XtSetArg(args[n], XmNborderWidth, 5); n++;
   XtSetArg(args[n], XmNlabelString, label_text); n++;
   pbutton1 = XmCreatePushButton(bboard, "pbutton", args, n);
   XtManageChild(pbutton1);
   XmStringFree (label_text);

/*
 * Add the bulletin board as a tab group
 */ 
   XmAddTabGroup(bboard);

/*
 * Realize the toplevel widget, which displays all children
 */ 
   XtRealizeWidget(toplevel);

/*
 * Go into a loop and wait for input
 */
   XtAppMainLoop(app_context);
}
